//LIBS += -L WpdPack\Lib -lpcap
win32:LIBS += -L WpdPack\Lib -lwpcap
win32:LIBS += -lws2_32
QT        += phonon
INCLUDEPATH += WpdPack/Include
INCLUDEPATH += oSIP/include
FORMS += mainwindow.ui \
    windowCapture.ui \
    windowTransactions.ui \
    WindowFilter.ui \
    WindowEstatisticas.ui \
    About.ui
HEADERS += mainwindow.h \
    ui_mainwindow.h \
    oSIP/include/osipparser2/sdp_message.h \
    oSIP/include/osipparser2/osip_uri.h \
    oSIP/include/osipparser2/osip_port.h \
    oSIP/include/osipparser2/osip_parser.h \
    oSIP/include/osipparser2/osip_message.h \
    oSIP/include/osipparser2/osip_md5.h \
    oSIP/include/osipparser2/osip_list.h \
    oSIP/include/osipparser2/osip_headers.h \
    oSIP/include/osipparser2/osip_const.h \
    oSIP/include/osipparser2/osip_body.h \
    oSIP/include/osipparser2/headers/osip_www_authenticate.h \
    oSIP/include/osipparser2/headers/osip_via.h \
    oSIP/include/osipparser2/headers/osip_to.h \
    oSIP/include/osipparser2/headers/osip_route.h \
    oSIP/include/osipparser2/headers/osip_record_route.h \
    oSIP/include/osipparser2/headers/osip_proxy_authorization.h \
    oSIP/include/osipparser2/headers/osip_proxy_authentication_info.h \
    oSIP/include/osipparser2/headers/osip_proxy_authenticate.h \
    oSIP/include/osipparser2/headers/osip_mime_version.h \
    oSIP/include/osipparser2/headers/osip_header.h \
    oSIP/include/osipparser2/headers/osip_from.h \
    oSIP/include/osipparser2/headers/osip_error_info.h \
    oSIP/include/osipparser2/headers/osip_cseq.h \
    oSIP/include/osipparser2/headers/osip_content_type.h \
    oSIP/include/osipparser2/headers/osip_content_length.h \
    oSIP/include/osipparser2/headers/osip_content_encoding.h \
    oSIP/include/osipparser2/headers/osip_content_disposition.h \
    oSIP/include/osipparser2/headers/osip_contact.h \
    oSIP/include/osipparser2/headers/osip_call_info.h \
    oSIP/include/osipparser2/headers/osip_call_id.h \
    oSIP/include/osipparser2/headers/osip_authorization.h \
    oSIP/include/osipparser2/headers/osip_authentication_info.h \
    oSIP/include/osipparser2/headers/osip_allow.h \
    oSIP/include/osipparser2/headers/osip_alert_info.h \
    oSIP/include/osipparser2/headers/osip_accept.h \
    oSIP/include/osipparser2/headers/osip_accept_language.h \
    oSIP/include/osipparser2/headers/osip_accept_encoding.h \
    oSIP/src/osipparser2/parser.h \
    defines.h \
    voipfixmanager.h \
    voipfixanalyzer.h \
    voipfixtransactions.h \
    voipfixcap.h \
    voipfixwinpcap.h \
    structs.h \
    windowcapture.h \
    ui_windowTransactions.h \
    windowtransactions.h \
    osip_utils.h \
    windowgraph.h \
    ui_windowGraph.h \
    arrow.h \
    coluna.h \
    texthour.h \
    textip.h \
    windowpackets.h \
    windowreport.h \
    windowplay.h \
    ui_WindowFilter.h \
    windowfilter.h \
    windowestatisticas.h \
    ui_WindowEstatisticas.h \
    bargraph.h \
    windowabout.h \
    ui_About.h
SOURCES += mainwindow.cpp \
    main.cpp \
    oSIP/src/osipparser2/sdp_message.c \
    oSIP/src/osipparser2/sdp_accessor.c \
    oSIP/src/osipparser2/osip_www_authenticate.c \
    oSIP/src/osipparser2/osip_via.c \
    oSIP/src/osipparser2/osip_uri.c \
    oSIP/src/osipparser2/osip_to.c \
    oSIP/src/osipparser2/osip_route.c \
    oSIP/src/osipparser2/osip_record_route.c \
    oSIP/src/osipparser2/osip_proxy_authorization.c \
    oSIP/src/osipparser2/osip_proxy_authentication_info.c \
    oSIP/src/osipparser2/osip_proxy_authenticate.c \
    oSIP/src/osipparser2/osip_port.c \
    oSIP/src/osipparser2/osip_parser_cfg.c \
    oSIP/src/osipparser2/osip_mime_version.c \
    oSIP/src/osipparser2/osip_message.c \
    oSIP/src/osipparser2/osip_message_to_str.c \
    oSIP/src/osipparser2/osip_message_parse.c \
    oSIP/src/osipparser2/osip_md5c.c \
    oSIP/src/osipparser2/osip_list.c \
    oSIP/src/osipparser2/osip_header.c \
    oSIP/src/osipparser2/osip_from.c \
    oSIP/src/osipparser2/osip_error_info.c \
    oSIP/src/osipparser2/osip_cseq.c \
    oSIP/src/osipparser2/osip_content_type.c \
    oSIP/src/osipparser2/osip_content_length.c \
    oSIP/src/osipparser2/osip_content_encoding.c \
    oSIP/src/osipparser2/osip_content_disposition.c \
    oSIP/src/osipparser2/osip_contact.c \
    oSIP/src/osipparser2/osip_call_info.c \
    oSIP/src/osipparser2/osip_call_id.c \
    oSIP/src/osipparser2/osip_body.c \
    oSIP/src/osipparser2/osip_authorization.c \
    oSIP/src/osipparser2/osip_authentication_info.c \
    oSIP/src/osipparser2/osip_allow.c \
    oSIP/src/osipparser2/osip_alert_info.c \
    oSIP/src/osipparser2/osip_accept.c \
    oSIP/src/osipparser2/osip_accept_language.c \
    oSIP/src/osipparser2/osip_accept_encoding.c \
    voipfixmanager.cpp \
    voipfixanalyzer.cpp \
    voipfixtransactions.cpp \
    voipfixcap.cpp \
    voipfixwinpcap.cpp \
    windowcapture.cpp \
    windowtransactions.cpp \
    osip_utils.cpp \
    windowgraph.cpp \
    arrow.cpp \
    coluna.cpp \
    texthour.cpp \
    textip.cpp \
    windowpackets.cpp \
    windowreport.cpp \
    windowplay.cpp \
    windowfilter.cpp \
    windowestatisticas.cpp \
    bargraph.cpp \
    windowabout.cpp
OTHER_FILES += ToDo.txt

TRANSLATIONS = voipfix_en.ts
