#ifndef RENDERGRAPH_H
#define RENDERGRAPH_H

#include <QtGui>

#include <pcap.h>
#include <osipparser2/osip_message.h>
#include <osipparser2/sdp_message.h>
#include <osipparser2/osip_parser.h>
#include <defines.h>
#include <structs.h>

class RenderGraph : public QWidget
	{
	Q_OBJECT

	public:
		RenderGraph(QWidget *parent = 0);
		void drawGraph (QList <IPADDRESS_t> ipList);

	signals:
		void mouseClickedPos(int x, int y);

	protected:
		void paintEvent(QPaintEvent *event);
		void mousePressEvent(QMouseEvent *event);
	};

#endif // RENDERGRAPH_H
