#include "voipfixcap.h"

VoIPFixCap::VoIPFixCap()
	{

	}

VoIPFixCap::~VoIPFixCap()
	{
	delete voipWinpCap;
	}

int VoIPFixCap::startCap()
   {
	voipWinpCap = new VoIPFixWinpCap();
	voipWinpCap->startWinpCap();
	connect(voipWinpCap, SIGNAL(winPacket(pcap_pkthdr*,const u_char*)), this, SLOT(rxPacket(pcap_pkthdr*,const u_char*)));
   connect(voipWinpCap, SIGNAL(winEOF()),this, SLOT(rxEOF()));

   return 0;
   }

QStringList * VoIPFixCap::getDeviceList()
	{
	return (voipWinpCap->getDeviceList());
	}

int VoIPFixCap::openDevice (int deviceNumber, int inPromiscuousMode, char * filter)
	{
	return (voipWinpCap->openDevice(deviceNumber, inPromiscuousMode, filter));
	}

void VoIPFixCap::closeDevice (void)
	{
	voipWinpCap->closeDevice();
	}

int VoIPFixCap::openFile (char * fileName, char * filter)
	{
	return (voipWinpCap->openFile(fileName, filter));
	}

int VoIPFixCap::openFileSequential (QStringList fileNames, char * filter)
	{
	return (voipWinpCap->openFileSequencial(fileNames, filter));
	}

void VoIPFixCap::closeFile(void)
   {
   voipWinpCap->closeFile();
   }

int VoIPFixCap::saveFile (char * fileName)
   {
   return (voipWinpCap->saveFile(fileName));
   }

int VoIPFixCap::packetDumpFile (const struct pcap_pkthdr *header, const u_char *pkt_data)
   {
   return voipWinpCap->packetDumpFile(header, pkt_data);
   }

int VoIPFixCap::closeDumpFile (void)
   {
   return (voipWinpCap->closeDumpFile());
   }

void VoIPFixCap::rxPacket(pcap_pkthdr *header, const u_char *pkt_data)
	{
	emit winCapPacket(header, pkt_data);
	}

void VoIPFixCap::rxEOF(void)
   {
   emit(winCapEOF());
   }
