#ifndef WINDOWCAPTURE_H
#define WINDOWCAPTURE_H

#include <QtGui>
#include <ui_windowCapture.h>

class WindowCapture : public QWidget, public Ui::windowCapture
	{
	Q_OBJECT

	public:
		WindowCapture();
		void addDevice(QStringList *listaDevice);
      void closeEvent(QCloseEvent *event);

	public slots:
		void okButton (void);
		void cancelButton (void);

	signals:
		void configCapture (int numDevice, char * filter);
      void configCancel (bool closing);

   private:
      bool canceling;

	};

#endif // WINDOWCAPTURE_H
