#ifndef WINDOWFILTER_H
#define WINDOWFILTER_H

#include <QtGui>
#include <pcap.h>
#include <osipparser2/osip_message.h>
#include <osipparser2/sdp_message.h>
#include <osipparser2/osip_parser.h>
#include <defines.h>
#include <structs.h>

#include <ui_WindowFilter.h>

class WindowFilter : public QDialog, public Ui::WindowFilter
	{
	Q_OBJECT

	public:
		WindowFilter();
		void closeEvent(QCloseEvent *event);

	private slots:
		void buttonOk (void);

	signals:
		void closingFilter(bool closing);
		void paramFilter (transFilter_t tFilter);
	};

#endif // WINDOWFILTER_H
