#ifndef BARGRAPH_H
#define BARGRAPH_H

#include <QGraphicsObject>

class QGraphicsScene;
class QRectF;
class QPainterPath;

#define BAR_HEIGHT		20
#define BAR_SPACE			30
#define BAR_XPOS_INI		150
#define BAR_MAX_X			600

class barGraph : public QGraphicsObject
	{
	Q_OBJECT

	public:
		barGraph();
		QRectF boundingRect() const;
		void drawBar(int pos, int val, int valT, QString sName, QColor color);

	private:
		int myPos;
		int myVal;
		double myValPerc;
      double myValEnd;
		QString myName;
		QColor myColor;

	protected:
		void paint(QPainter *painter, const QStyleOptionGraphicsItem *option,
			QWidget *widget = 0);
	};

#endif // BARGRAPH_H
