#include <QtGui>
#include "coluna.h"

Coluna::Coluna()
   {
   setFlag(QGraphicsItem::ItemIsSelectable, false);
   }

void Coluna::drawColumn(int x1, int y1, int y2)
   {
   myx1 = x1;
   myy1 = y1;
   myy2 = y2;
   update();
   }

QRectF Coluna::boundingRect() const
   {
   return QRectF(myx1, myy1, 2, myy2 - myy1);
   }

void Coluna::paint(QPainter *painter, const QStyleOptionGraphicsItem *option,
      QWidget *widget)
   {
   setZValue(2);

   painter->setRenderHint(QPainter::Antialiasing, true);
   painter->setPen(QPen(Qt::black, 1, Qt::DashLine, Qt::RoundCap));
   painter->drawLine(myx1, myy1, myx1, myy2);
   }
