#ifndef WINDOWGRAPH_H
#define WINDOWGRAPH_H

#include <QtGui>
#include <ui_windowGraph.h>

#include <pcap.h>
#include <osipparser2/osip_message.h>
#include <osipparser2/sdp_message.h>
#include <osipparser2/osip_parser.h>
#include <defines.h>
#include <structs.h>

//class WindowGraph : public QWidget, public Ui::windowGraph
class WindowGraph : public QMainWindow
	{
	Q_OBJECT

	public:
		WindowGraph();
		void closeEvent(QCloseEvent *event);
      QRect setInfoGraph(QList <infoPacketTrans_t> infoPacket);

	signals:
		void packetClicked (int numPacket);

   private:
      QGraphicsScene *sceneGraph, *sceneHour, *sceneHourText, *sceneIP;
      QGraphicsView *viewGraph, *viewHour, *viewHourText, *viewIP;

	signals:
		void closingGraph(bool closing);

	};

#endif // WINDOWGRAPH_H
